Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 30 est mort ce soir

#1 24/06/2018 16:13:17

JM
Membre
Inscription : 27/03/2018
Messages : 84

[Résolu] Un problème de version de paquet

Bonjour,

J'ai utilisé assez longtemps qarte mais il y a que la version 4.0.0 qui est disponible dans le RPM Fusion. Mais il faut que j'installe la dernière version 4.3.0. Comment faire ? D'après ce que j'ai pu voire, il n'existe que la version 4.3.0 de qarte en .deb ou en .tar.gz

Hors ligne

#2 24/06/2018 16:47:50

chepioq
FEDORA FOR EVER
Lieu : a l'est de marseille
Inscription : 07/06/2006
Messages : 7 329

Re : [Résolu] Un problème de version de paquet

J'ai créé un rpm pour F28 de qarte 4.3.0.
Je l'ai mis sur mon compte archive-host
Voici le lien :
https://sd-1.archive-host.com/membres/u … rchrpm.zip
Tu n'as qu'a le décompresser et ensuite installer le rpm


Tout est dans tout... et réciproquement...
C'est quoi un chalumeau??? C'est un dromaludaire à deux bosses...
Quand le sage montre la lune l'imbécile regarde le doigt...
1277887812.gif

Hors ligne

#3 24/06/2018 17:05:20

JM
Membre
Inscription : 27/03/2018
Messages : 84

Re : [Résolu] Un problème de version de paquet

Merci, ça fonctionne. Par curiosité, comment faire pour crée un paquet rpm ?

Hors ligne

#4 24/06/2018 17:26:25

didierg
Modérateur
Modérateur
Inscription : 11/07/2005
Messages : 5 255

Re : [Résolu] Un problème de version de paquet

Une question sur qarte que je ne connaissais pas: est-il possible d'enregistrer un concert, je n'ai pas trouvé comment faire ?

Par ailleurs, c'est dommage que ce programme ne soit pas plus "screen size friendly".

Hors ligne

#5 24/06/2018 17:45:37

chepioq
FEDORA FOR EVER
Lieu : a l'est de marseille
Inscription : 07/06/2006
Messages : 7 329

Re : [Résolu] Un problème de version de paquet

JM a écrit :

Merci, ça fonctionne. Par curiosité, comment faire pour crée un paquet rpm ?

Tu as toutes les indications dans section "Les indispensables..." de la documentation.
Mais là j'ai juste bricolé ce rpm en partant du rpm source de la version 4.0.0-3.fc28, en remplaçant le qarte-4.0.0.tar.gz par un qarte-4.3.0.tar.gz que j'ai trouvé sur le net, puis en modifiant le fichier spec du 4.0.0-3.fc28 et en faisant un "rpmbuild -ba quarte.spec"
Cela n'est pas vraiment ce qu'il faut faire, mais parfois cela fonctionne. hammer


Tout est dans tout... et réciproquement...
C'est quoi un chalumeau??? C'est un dromaludaire à deux bosses...
Quand le sage montre la lune l'imbécile regarde le doigt...
1277887812.gif

Hors ligne

#6 24/06/2018 18:45:07

JM
Membre
Inscription : 27/03/2018
Messages : 84

Re : [Résolu] Un problème de version de paquet

@chepioq : il y a sept rubriques 'indispensables' à la page documentation !! où puis-je trouver les façons de faire un paquet rpm ? on peut convertir un .deb en .rpm ?
@didierg : j'ai toujours configurer les options de qarte pour enregistrer les émissions ou les concerts dans mon répertoire personnel. Les concerts ou les émissions s'affichent uniquement avec la version 4.3.0 et il est possible de télécharger tous les mp4 qu'Arte mets en ligne (concerts y compris : le dernier est une retransmission de l'Hellfest)

Dernière modification par JM (24/06/2018 18:53:08)

Hors ligne

#7 24/06/2018 19:14:29

chepioq
FEDORA FOR EVER
Lieu : a l'est de marseille
Inscription : 07/06/2006
Messages : 7 329

Re : [Résolu] Un problème de version de paquet

C'est dans "Documentation diverse" :

RPM : environnement de construction
La création de RPM pour les nuls

Dernière modification par chepioq (24/06/2018 19:15:19)


Tout est dans tout... et réciproquement...
C'est quoi un chalumeau??? C'est un dromaludaire à deux bosses...
Quand le sage montre la lune l'imbécile regarde le doigt...
1277887812.gif

Hors ligne

#8 24/06/2018 23:39:25

didierg
Modérateur
Modérateur
Inscription : 11/07/2005
Messages : 5 255

Re : [Résolu] Un problème de version de paquet

JM a écrit :

@didierg : j'ai toujours configurer les options de qarte pour enregistrer les émissions ou les concerts dans mon répertoire personnel. Les concerts ou les émissions s'affichent uniquement avec la version 4.3.0 et il est possible de télécharger tous les mp4 qu'Arte mets en ligne (concerts y compris : le dernier est une retransmission de l'Hellfest)

Merci de m'avoir fait connaitre ce programme qui va encore raccourcir la durée de mes nuits !

Hors ligne

Pied de page des forums